#include "Cmdo.r"			/* For commando interface */
#include "SysTypes.r"

resource 'vers' (1) {
	0x01, 0x60, final, 0x00, verUS,
	"1.6r1",
	"GNU Indent - v1.6r1 ported by R. Avanzi & J. Kowalski."
	};
	
resource 'vers' (2) {
	0x01, 0x60, final, 0x00, verUS,
	"1.6r1",
	"GNU Indent for MPW."
	};


resource 'cmdo' (128) {
	{	/* array dialogs: 3 elements */
		/* [1] */
		300,
		"The indent program changes the appearance of a C program by inserting or deleting whitespace. It can be used to make code easier to read. It can also convert from one style of coding to another.",
		{	/* array itemArray: 16 elements */
			/* [1] */
			NotDependent {

			},
			VersionDialog {
				VersionString {
					"v1.6r1"
				},
				"GNU indent for MPW v1.6r1. Based on Berkeley indent 5.11 (9/15/88).\nMPW Tool (v1.1) courtesy Jeffrey Kowalski (jeff@oak.cadif.cornell.edu).\nv1.6 (and 1.4) ported by Roberto Avanzi (gandalf@sabrina.dei.unipd.it) (10/22/92).",
				noDialog
			},
			/* [2] */
			NotDependent {

			},
			RadioButtons {
				{	/* array radioArray: 2 elements */
					/* [1] */
					{20, 10, 35, 142}, "File to indent...", "", Set, "Input a file.  Standard input is not used in this case.",
					/* [2] */
					{20, 213, 35, 353}, "Redirect Standard", "-st", NotSet, "If the standard input file is used, then an input file is not allowed.  The converted file is always written to standard output."
				}
			},
			/* [3] */
			Or {
				{
					(1<<12)+2
				}
			},
			Files {
				InputFile,
				RequiredFile {
					{36, 30, 55, 200},
					"Specify input file",
					"",
					"Source file to indent"
				},
				Additional {
					"",	".c",	"Only files that end in .c",	"All text files",
					{	/* array TypesArray: 1 elements */
						/* [1] */
						text
					}
				}
			},
			/* [4] */
			Or {
				{
					(1<<12)+2
				}
			},
			Files {
				InputOrOutputFile,
				OptionalFile {
					{60, 30, 76, 200},
					{76, 30, 95, 200},
					"Destination",
					"",
					"-o",
					"",
					"Destination of indented file.",
					dim,
					"Replace original (keep a backup)",
					"Select a file...",
					""
				},
				Additional {
					"",	".c",	"Only files that end in .c",	"All text files",
					{	/* array TypesArray: 1 elements */
						/* [1] */
						text
					}
				}
			},
			/* [5] */
			Or {
				{
					(2<<12)+2
				}
			},
			Redirection {
				StandardInput,		{20, 353}
			},
			/* [6] */
			Or {
				{
					(2<<12)+2
				}
			},
			Redirection {
				StandardOutput,		{59, 353}
			},
			/* [7] */
			NotDependent {

			},
			Redirection {
				DiagnosticOutput,	{98, 353}
			},
			/* [8] */
			NotDependent {

			},
			CheckOption {
				NotSet,	{122, 25, 140, 79},	"GNU",	"-gnu",
				"Use GNU-style conventions for indentation.  Equivalent to:\n"
				"-nbad -nbap -nbbb -nbc -bl -bli2 -c33 -cd33 -ncdb -nce -cli0 -cp1 -di0 -nfc1 -nfca -i2 -ip5 -lp -pcs -psl -nsc -nsob -nss -ts8"
			},
			/* [9] */
			NotDependent {

			},
			CheckOption {
				NotSet,	{122, 79, 140, 133},	"K&R",	" -kr",
				"Use Kernighan & Ritchie style conventions for indentation.  Equivalent to:\n"
				"-nbad -bap -nbbb -nbc -br -c33 -cd33 -ncdb -ce -ci4 -cli0 -cp33 -d0 -di1 -nfc1 -nfca -i4 -ip0 -l75 -lp -npcs -npsl -nsc -nsob -nss -ts8"
			},
			/* [10] */
			NotDependent {

			},
			CheckOption {
				NotSet,	{122, 134, 140, 188},	"UCB",	" -orig",
				"Use original Berkeley style conventions for indentation. Equivalent to:\n"
				"-nbap -nbad -nbbb -bc -br -c33 -cd33 -cdb -ce -ci4 -cli0 -cp33 -d4 -di16 -fc1 -fca -i4 -ip4 -l75 -lp -npcs -psl -sc -nsob -nss -ts8"
			},
			/* [11] */
			NotDependent {

			},

			TextBox {
				gray,	{115, 20, 145, 195},	"Common Styles"
			},
			/* [12] */
			NotDependent {

			},
			RadioButtons {
				{	/* array radioArray: 3 elements */
					/* [1] */
					{162, 25, 180, 95}, "Default", "", Set, "Verbosity as described in the .indent.pro file.",
					/* [2] */
					{162, 95, 180, 135}, "On", "-v", NotSet, "Show verbose messages about source code. Overrides any -nv flag in the indent.pro file.",
					/* [3] */
					{162, 135, 180, 175}, "Off", "-nv", NotSet, "Show no verbose messages about source. Overrides any -v flag in the indent.pro file."
				}
			},
			/* [13] */
			NotDependent {

			},
			TextBox {
				gray,	{155, 20, 185, 195},	"Verbosity"
			},
			/* [4] */
			NotDependent {

			},
			CheckOption {
				NotSet,	{125, 213, 145, 320},	"Troff output",	"-troff",	"Format the program to be compatible with troff."
			},
			/* [14] */
			NotDependent {

			},
			CheckOption {
				NotSet,	{145, 213, 165, 320},	"Show version",	"-version",	"Show the indent program's version information."
			},
			/* [15] */
			NotDependent {

			},
			CheckOption {
				NotSet,	{165, 213, 185, 320},	"No profile",	"-npro",	"Do not read information from the indent.pro file."
			},
			/* [16] */
			NotDependent {

			},
			NestedDialog {
				2, {165, 353, 185, 466}, "More options...", "Even more esoteric options for the indent program."
			},
			/* [17] */
			NotDependent {

			},
			NestedDialog {
				3, {142, 353, 162, 466}, "Parameters...", "Variables that let you control indent's spacing."
			}
		},
		/* [2] */
		313,
		"All these options, if explicitly set or unset, will override any settings from the indent.pro file.",
		{	/* array itemArray: 7 elements */
			/* [1] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 3 elements */
					/* [1] */
					{25, 25, 41, 155}, "declarations", "-nbad", "", "-bad", "Force a blank line after every block of declarations.",
					/* [2] */
					{41, 25, 57, 155}, "proc bodies", "-nbap", "", "-bap", "Force a blank line after every procedure body.",
					/* [3] */
					{57, 25, 73, 155}, "block comments", "-nbbb", "", "-bbb", "Force a blank line before every block comment."
				}
			},
			NotDependent {

			},
			CheckOption {
				NotSet, {73, 24, 89, 155}, "sizeof operators", "-bs", "Put a space between sizeof and its argument."
			},
			/* [2] */
			NotDependent {

			},
			TextBox {
				gray,	{20, 20, 91, 160},	"Blanks after..."
			},
			/* [3] */
			NotDependent {

			},
			RadioButtons {
				{	/* array radioArray: 3 elements */
					/* [1] */
					{114, 25, 130, 175}, "go on next line", "-bl", NotSet, "Put braces on line after if, etc.",
					/* [2] */
					{130, 25, 146, 175}, "go on same line", "-br", NotSet, "Put braces on line with if, etc.",
					/* [3] */
					{146, 25, 162, 175}, "remain unmoved", "", Set, "Leave braces after if, etc. as they are."
				}
			},
			/* [5] */
			NotDependent {

			},
			TextBox {
				gray,	{107, 20, 164, 180},	"Braces following if..."
			},
			/* [6] */
			NotDependent {

			},
			TriStateButtons {
				"",
				{	/* array threeStateArray: 10 elements */
					/* [1] */
					{21, 194, 36, 456}, "Comment delimiters on blank line", "-ncdb", "", "-cdb", "Put comment delimiters (/* and */) on blank lines.",
					/* [2] */
					{36, 194, 51, 456}, "Cuddle else", "-nce", "", "-ce", "Cuddle else and preceeding closing brace, as\n} else",
					/* [3] */
					{51, 194, 66, 456}, "Space after cast operator", "-ncs", "", "-cs", "Put a space after a cast operator.",
					/* [4] */
					{66, 194, 81, 456}, "Format comment in first column", "-nfc1", "", "-fc1", "Format comments appearing in the first column.",
					/* [5] */
					{81, 194, 96, 456}, "Enable comment formatting", "-nfca", "", "-fca", "Do not disable all formatting of comments.",
					/* [6] */
					{96, 194, 114, 456}, "Line up continuation at parentheses", "-nlp", "", "-lp", "Line up continued lines at parentheses.",
					/* [7] */
					{111, 194, 126, 456}, "Space after function in calls", "-npcs", "", "-pcs", "Put a space after the function in function calls.",
					/* [8] */
					{126, 194, 141, 456}, "Procedure type on previous line", "-npsl", "", "-psl", "Put the type of a procedure on the line before its name.",
					/* [9] */
					{141, 194, 156, 456}, "Put asterisk to left of comment", "-nsc", "", "-sc", "Put the * character at the left of comments.",
					/* [10] */
					{156, 194, 171, 456}, "Swallow optional blanks", "-nsob", "", "-sob", "Swallow optional blank lines.",
					/* [11] */
					{171, 194, 186, 456}, "Newline after comma in declarations", "-nbc", "", "-bc", "Force newline after comma in declarations.",
					/* [12] */
					{186, 194, 201, 456}, "Space before special semicolons", "-nss" , "", "-ss", "On one-line for and switch statements, force a blank before the semicolon."
				}
			},
			/* [7] */
			NotDependent {

			},
			TextBox {
				gray,	{15, 189, 204, 462},	"Miscellaneous Options"
			}
		},
		/* [3] */
		297,
		"These parameters are for changing the level of whitespace in the output code.",
		{	/* array itemArray: 10 elements */
			/* [1] */
			NotDependent {

			},
			RegularEntry {
				"Comments beside code ",	{32, 33, 48, 213}, {32, 216, 48, 236},
				"33",	keepCase,	"-c",	"Put comments to the right of code in the indicated column."
			},
			/* [2] */
			NotDependent {

			},
			RegularEntry {
				" beside declarations ",	{56, 33, 72, 213}, {56, 216, 72, 236},
				"33",	keepCase,	"-cd",	"Put comments to the right of declarations in the indicated column."
			},
			/* [3] */
			NotDependent {
			
			},
			RegularEntry {
				" and after #else and #endif.",	{80 , 33, 96, 240 }, {80 , 243, 96, 263 },
				"33",	keepCase,	"-cp",	"Put comments to the right of #else and #endif statements in the indicated column."
			},
			/* [4] */
			NotDependent {

			},
			RegularEntry {
				"Other comments",	{104, 33, 120, 147}, {104, 149, 120, 169},
				"4",	keepCase,	"-d",	"Set the indentation of comments not to the right of code to the indicated amount of spaces."
			},
			/* [5] */
			NotDependent {

			},
			RegularEntry {
				"Variable names",	{128, 33, 144, 147}, {128, 149, 144, 169},
				"16",	keepCase,	"-di",	"Put variable names in the indicated column."
			},
			/* [6] */
			NotDependent {

			},
			TextBox {
				gray,	{20, 20, 154, 276},	"Column alignments for..."
			},

			/* [7] */
			NotDependent {

			},
			RegularEntry {
				"Increment",	{32, 303, 48, 379}, {32, 382, 48, 404},
				"4",	keepCase,	"-i",	"Set the indentation level to the indicated amount of spaces."
			},
			/* [8] */
			NotDependent {

			},
			RegularEntry {
				"Continuation", {56, 303, 72, 393}, {56, 396, 72, 418},
				"4",	keepCase,	"-ci",	"Continuation indent of the indicated amount of spaces."
			},
			/* [9] */
			NotDependent {

			},
			RegularEntry {
				"Case labels",	{80, 303, 96, 387}, {80, 390, 96, 412},
				"0",	keepCase,	"-cli",	"Case label indent of the indicated amount of spaces."
			},
			/* [10] */
			NotDependent {

			},
			RegularEntry {
				"Braces",		{104, 303, 120, 353}, {104, 356, 120, 378},
				"0",	keepCase,	"-bli",	"Indent braces of the indicated amount of spaces."
			},

			/* [11] */
			NotDependent {

			},
			TextBox {
				gray,	{20, 288, 130, 459},	"Indentation levels"
			},
			/* [9] */
			NotDependent {

			},
			RegularEntry {
				"Indent for types on function parameters",	{163, 48, 179, 324},	{163, 327, 179, 347},
				"4",	keepCase,	"-ip",
				"Indent parameter types in old-style function definitions by the indicated amount of spaces."
			},
			/* [10] */
			NotDependent {

			},
			RegularEntry {
				"Maximum line length",	{140, 287, 156, 432},	{140, 433, 156, 456},
				"75",	keepCase,	"-l",
				"Set maximum line length to the indicated amount of characters."
			}
		}
	}
};

